Table des matières

Requirements and Other Important Information

We have compiled a list of specific requirements and other important information that you should know before working with Wwise.

General

External components required for installation. The following external components are required to run Wwise:

  • Microsoft® .Net Framework Version 4.0, which is included in the installation package.
  • DirectX® June 2010, which is required to run the Game Object 3D Viewer in Wwise and the Xbox 360 controller on Windows. To update your version of DirectX, visit the Microsoft web site (http://www.microsoft.com/directx).
  • Visual Studio 2013 redistributables (version 12.0.30501.00).

Note: If you have an older version of DirectX, Wwise will run normally, but the Game Object 3D Viewer will not be available and you will not be able to test motion in Wwise.

Motion Devices

Connect game controllers to high power USB ports. Motion devices need to be connected to a high power USB port. If the USB port does not have sufficient power to run the motion device, the system will unmount the device to protect both the operating system and the device itself. The USB ports in the front of a computer are generally not powerful enough to run a motion device, so you should connect them to the USB ports at the back of the computer.

Project Migration

Wwise Installation and Migration Guide. When you are ready to upgrade to a newer version of Wwise, you need to follow a coordinated protocol to ensure that your projects created in the previous version are migrated smoothly to the newer version. For more information, it is strongly recommended that you refer to the Wwise Installation and Migration Guide, before you upgrade.

SoundBanks

SoundBanks version has been updated. The version of the SoundBanks has been updated since the previous Wwise versions. This means that you will need to regenerate all your SoundBanks so that they are compatible with the current version of Wwise.